import { browser, by, element, ElementFinder } from "protractor";

export class AppPage {
  navigateToBase() {
    return browser.get(browser.baseUrl) as Promise<any>;
  }
  navigateToWorkspacesHome() {
    console.log(browser.baseUrl);
    return browser.get(`${browser.baseUrl}workspaces`) as Promise<any>;
  }
  getLaunchNullCapabilityButton() {
    return element(by.css("#launchNullCapabilityBtn"));
  }
  getLaunchDownloadCapabilityButton() {
    return element(by.css("#launchDownloadCapabilityBtn"));
  }
  getCapabilityResults() {
    return element(by.css("#capabilityResults"));
  }
}
